org.keycloak.saml.common.parsers

## Class AbstractParser

- java.lang.Object
- - org.keycloak.saml.common.parsers.AbstractParser

- All Implemented Interfaces:
    StaxParser
  Direct Known Subclasses:
    SAMLParser

      public abstract class AbstractParser
      extends Object
      implements StaxParser

  Base class for parsers
  Since:
    Oct 12, 2010
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static PicketLinkLogger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractParser()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XMLEventReader` | `createEventReader(InputStream configStream)`
    `XMLEventReader` | `createEventReader(Source source)`
    `Object` | `parse(InputStream stream)` Parse an InputStream for payload
    `Object` | `parse(Node node)`
    `Object` | `parse(Source source)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.saml.common.parsers.StaxParser

      `parse`

- - ### Field Detail

    - #### logger

          protected static final PicketLinkLogger logger

  - ### Constructor Detail

    - #### AbstractParser

          public AbstractParser()

  - ### Method Detail

    - #### parse

          public Object parse(InputStream stream)
                       throws ParsingException

      Parse an InputStream for payload
      Parameters:
        `stream` -
      Returns:
      Throws:
        `{@link` - IllegalArgumentException}
        `{@link` - IllegalArgumentException} when the configStream is null
        `ParsingException`

    - #### parse

          public Object parse(Source source)
                       throws ParsingException

      Throws:
        `ParsingException`

    - #### parse

          public Object parse(Node node)
                       throws ParsingException

      Throws:
        `ParsingException`

    - #### createEventReader

          public static XMLEventReader createEventReader(InputStream configStream)
                                                  throws ParsingException

      Throws:
        `ParsingException`

    - #### createEventReader

          public XMLEventReader createEventReader(Source source)
                                           throws ParsingException

      Throws:
        `ParsingException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.